swift-recon(1)

NAME

swift-recon - Openstack-swift recon middleware cli tool

SYNOPSIS

swift-recon <server_type> [-v] [--suppress] [-a] [-r] [-u] [-d] [-l] [--md5] [--auditor] [--updater] [--expirer] [--sockstat]

DESCRIPTION

The swift-recon cli tool can be used to retrieve various metrics and telemetry information about a cluster that has been collected by the swift-recon middleware. In order to make use of the swift-recon middleware, update the object-server.conf file and enable the recon middleware by adding a pipeline entry and setting its option(s). You can view more information in the example section below.

OPTIONS

    <server_type>
        account|container|object - Defaults to object server.

    -h, --help
        show this help message and exit

    -v, --verbose
        Print verbose information

    --suppress
        Suppress most connection related errors

    -a, --async
        Get async stats

    --auditor
        Get auditor stats

    --updater
        Get updater stats

    --expirer
        Get expirer stats

    -r, --replication
        Get replication stats

    -u, --unmounted
        Check cluster for unmounted devices

    -d, --diskusage
        Get disk usage stats

    -l, --loadstats
        Get cluster load average stats

    -q, --quarantined
        Get cluster quarantine stats

    --md5
        Get md5sum of servers ring and compare to local cop

    --all
        Perform all checks. Equivalent to -arudlq --md5

    -z ZONE, --zone=ZONE
        Only query servers in specified zone

    --swiftdir=PATH
        Default = /usr/local/etc/swift

EXAMPLE

    ubuntu:~$ swift-recon -q --zone 3
    ===============================================================================
    [2011-10-18 19:36:00] Checking quarantine dirs on 1 hosts...
    [Quarantined objects] low: 4, high: 4, avg: 4, total: 4
    [Quarantined accounts] low: 0, high: 0, avg: 0, total: 0
    [Quarantined containers] low: 0, high: 0, avg: 0, total: 0
    ===============================================================================
    Finally if you also wish to track asynchronous pending’s you will need to setup a cronjob to run the swift-recon-cron script periodically:
    */5 * * * * swift /usr/bin/swift-recon-cron /usr/local/etc/swift/object-server.conf

DOCUMENTATION
More documentation about Openstack-Swift can be found at http://swift.openstack.org/index.html Also more specific documentation about swift-recon can be found at http://swift.openstack.org/admin_guide.html#cluster-telemetry-and-monitoring

SEE ALSO
object-server.conf(5),